=== debian/changelog ===
ros-indigo-aubo-panel (0.3.15-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- liuxin <liuxin@our-robotics.com>  Fri, 31 Mar 2017 07:02:57 -0000

ros-indigo-aubo-panel (0.3.0-0trusty) trusty; urgency=high

  * new version:add aubo_panel,aubo_new_driver
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 14 Nov 2016 16:00:00 -0000
