=== debian/control ===
Source: ros-indigo-aubo-panel
Section: misc
Priority: extra
Maintainer: liuxin <liuxin@our-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-aubo-msgs, ros-indigo-catkin, ros-indigo-class-loader, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/aubo_control
Standards-Version: 3.9.2

Package: ros-indigo-aubo-panel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-aubo-msgs, ros-indigo-class-loader, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: The aubo_panel plugin package
